package com.example.demo;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class HistoriaJSON {
	@Autowired
	private LogikaKalkulatora logika;

	@GetMapping("/historia.json")
	@ResponseBody
	public List<String> pokazHistorie() {
		// Wynik tej metody powinien zostać odesłany do klienta, nie używamy tu szablonu.
		// Można to zapewnić adnotacją @ResponseBody
		return logika.getHistoriaDzialan();
	}
}
